<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.1) on Sat Oct 05 11:12:57 CEST 2019 -->
<title>StringUtility (dblp.datatools 2019.08.0.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-10-05">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="StringUtility (dblp.datatools 2019.08.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">bous.philipp.dblp.datatools.util.string</a></div>
<h2 title="Class StringUtility" class="title">Class StringUtility</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>bous.philipp.dblp.datatools.util.string.StringUtility</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">StringUtility</span>
extends java.lang.Object</pre>
<div class="block">Provides utility-methods for String-processing which are rather specific to the dblp.datatools library.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">StringUtility</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#concat(java.util.List,java.lang.String)">concat</a></span>&#8203;(java.util.List&lt;java.lang.String&gt;&nbsp;tokens,
      java.lang.String&nbsp;separator)</code></th>
<td class="colLast">
<div class="block">Concatenates tokens given as list using a given separator.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static java.lang.String[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convertToNGrams(java.lang.String%5B%5D,int,java.lang.String)">convertToNGrams</a></span>&#8203;(java.lang.String[]&nbsp;tokens,
               int&nbsp;n,
               java.lang.String&nbsp;separator)</code></th>
<td class="colLast">
<div class="block">Takes an array of single tokens and converts it into an array of n-grams, assuming that the input array
 preserved the desired ordering of tokens, e.g. didn't change the word order if n-grams are to be obtained from
 natural language input.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static java.util.List&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#processTokens(java.util.List,boolean,boolean,boolean)">processTokens</a></span>&#8203;(java.util.List&lt;java.lang.String&gt;&nbsp;tokens,
             boolean&nbsp;applyLowerCasing,
             boolean&nbsp;removeStopwords,
             boolean&nbsp;applyStemming)</code></th>
<td class="colLast">
<div class="block">Processes a list of tokens and returns the resulting modified list.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeBracketContent(java.lang.String)">removeBracketContent</a></span>&#8203;(java.lang.String&nbsp;text)</code></th>
<td class="colLast">
<div class="block">Removes text inside "()" as well as inside "[]".</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static java.util.List&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeStopWordsEnglish(java.util.List)">removeStopWordsEnglish</a></span>&#8203;(java.util.List&lt;java.lang.String&gt;&nbsp;tokens)</code></th>
<td class="colLast">
<div class="block">Based on: https://stackoverflow.com/a/23699630
 Removes stopwords from a given String, intended for english language, the stop-words are defined in STOP_WORDS_ENGLISH, which is currently
 the STANFORD_CORE_NLP-set found here: https://github.com/stanfordnlp/CoreNLP/blob/master/data/edu/stanford/nlp/patterns/surface/stopwords.txt.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static java.util.List&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeTokensUnderMinimumLength(java.util.List,int)">removeTokensUnderMinimumLength</a></span>&#8203;(java.util.List&lt;java.lang.String&gt;&nbsp;tokens,
                              int&nbsp;minLength)</code></th>
<td class="colLast">
<div class="block">Removes tokens under minimum length from given list of strings, i.e. will manipulate the input list.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static java.util.List&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#stemEnglish(java.util.List)">stemEnglish</a></span>&#8203;(java.util.List&lt;java.lang.String&gt;&nbsp;tokens)</code></th>
<td class="colLast">
<div class="block">Applies english stemming using porter-stemmer to a given list of tokens.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static double[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#svmLightToDoubleArray(java.lang.String)">svmLightToDoubleArray</a></span>&#8203;(java.lang.String&nbsp;svmLightVectorWithoutTarget)</code></th>
<td class="colLast">
<div class="block">Turns a vector given as String in svmlight format into an array of doubles.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#wrap(java.lang.String,java.lang.String%5B%5D)">wrap</a></span>&#8203;(java.lang.String&nbsp;text,
    java.lang.String[]&nbsp;prefixSuffix)</code></th>
<td class="colLast">
<div class="block">Wraps a given text with a prefix and a suffix.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#wrap(java.lang.String,java.lang.String,java.lang.String)">wrap</a></span>&#8203;(java.lang.String&nbsp;text,
    java.lang.String&nbsp;prefix,
    java.lang.String&nbsp;suffix)</code></th>
<td class="colLast">
<div class="block">Wraps a given text with a prefix and a suffix.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>StringUtility</h4>
<pre>public&nbsp;StringUtility()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="removeStopWordsEnglish(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeStopWordsEnglish</h4>
<pre class="methodSignature">public static&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;removeStopWordsEnglish&#8203;(java.util.List&lt;java.lang.String&gt;&nbsp;tokens)</pre>
<div class="block">Based on: https://stackoverflow.com/a/23699630
 Removes stopwords from a given String, intended for english language, the stop-words are defined in STOP_WORDS_ENGLISH, which is currently
 the STANFORD_CORE_NLP-set found here: https://github.com/stanfordnlp/CoreNLP/blob/master/data/edu/stanford/nlp/patterns/surface/stopwords.txt.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tokens</code> - text in which stop-words should be eliminated</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the text as string without stop-words specified through STOP_WORDS_ENGLISH</dd>
</dl>
</li>
</ul>
<a id="stemEnglish(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stemEnglish</h4>
<pre class="methodSignature">public static&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;stemEnglish&#8203;(java.util.List&lt;java.lang.String&gt;&nbsp;tokens)</pre>
<div class="block">Applies english stemming using porter-stemmer to a given list of tokens.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tokens</code> - the tokens to be processed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a List containing the stemmed tokens</dd>
</dl>
</li>
</ul>
<a id="removeBracketContent(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeBracketContent</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;removeBracketContent&#8203;(java.lang.String&nbsp;text)</pre>
<div class="block">Removes text inside "()" as well as inside "[]". Doesn't check for well-formed bracket-order!
 Does not remove text in curly braces!
 After an idea from: https://stackoverflow.com/a/25335225 .</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - the text to be stripped of content in brackets.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the input without the text in brackets</dd>
</dl>
</li>
</ul>
<a id="removeTokensUnderMinimumLength(java.util.List,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeTokensUnderMinimumLength</h4>
<pre class="methodSignature">public static&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;removeTokensUnderMinimumLength&#8203;(java.util.List&lt;java.lang.String&gt;&nbsp;tokens,
                                                                              int&nbsp;minLength)</pre>
<div class="block">Removes tokens under minimum length from given list of strings, i.e. will manipulate the input list.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tokens</code> - the text to be processed</dd>
<dd><code>minLength</code> - minimum token length</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the text without the tokens with length under [minLength] seperated by [separatorForResult]</dd>
</dl>
</li>
</ul>
<a id="wrap(java.lang.String,java.lang.String,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>wrap</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;wrap&#8203;(java.lang.String&nbsp;text,
                                    java.lang.String&nbsp;prefix,
                                    java.lang.String&nbsp;suffix)</pre>
<div class="block">Wraps a given text with a prefix and a suffix.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - the text to be wrapped</dd>
<dd><code>prefix</code> - the prefix to be prepended</dd>
<dd><code>suffix</code> - the suffix to be appended</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>concatenated prefix text suffix</dd>
</dl>
</li>
</ul>
<a id="wrap(java.lang.String,java.lang.String[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>wrap</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;wrap&#8203;(java.lang.String&nbsp;text,
                                    java.lang.String[]&nbsp;prefixSuffix)</pre>
<div class="block">Wraps a given text with a prefix and a suffix.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - the text to be wrapped</dd>
<dd><code>prefixSuffix</code> - a String-array of length 2 where the first entry encodes the wanted prefix and the second the wanted suffix.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>prefix + text + suffix</dd>
</dl>
</li>
</ul>
<a id="processTokens(java.util.List,boolean,boolean,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processTokens</h4>
<pre class="methodSignature">public static&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;processTokens&#8203;(java.util.List&lt;java.lang.String&gt;&nbsp;tokens,
                                                             boolean&nbsp;applyLowerCasing,
                                                             boolean&nbsp;removeStopwords,
                                                             boolean&nbsp;applyStemming)</pre>
<div class="block">Processes a list of tokens and returns the resulting modified list. What processing is done is specified by the methods parameters (e.g. stop-word-removal).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tokens</code> - the list of tokens</dd>
<dd><code>applyLowerCasing</code> - if true every token will be entirely turned to lower casing</dd>
<dd><code>removeStopwords</code> - if true stop words will be removed; WARNING: english language is assumed</dd>
<dd><code>applyStemming</code> - if true stemming will be applied to all tokens; WARNING: english language is assumed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the modified list</dd>
</dl>
</li>
</ul>
<a id="convertToNGrams(java.lang.String[],int,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convertToNGrams</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String[]&nbsp;convertToNGrams&#8203;(java.lang.String[]&nbsp;tokens,
                                                 int&nbsp;n,
                                                 java.lang.String&nbsp;separator)</pre>
<div class="block">Takes an array of single tokens and converts it into an array of n-grams, assuming that the input array
 preserved the desired ordering of tokens, e.g. didn't change the word order if n-grams are to be obtained from
 natural language input.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tokens</code> - the tokens to be processed</dd>
<dd><code>n</code> - denotes the window-size for the n-grams; set to values less than 2 will make the method simply return the input array</dd>
<dd><code>separator</code> - will be used as separator between the tokens of each n-gram</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new string array where each entry is a n-gram</dd>
</dl>
</li>
</ul>
<a id="concat(java.util.List,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>concat</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;concat&#8203;(java.util.List&lt;java.lang.String&gt;&nbsp;tokens,
                                      java.lang.String&nbsp;separator)</pre>
<div class="block">Concatenates tokens given as list using a given separator.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tokens</code> - the list of tokens</dd>
<dd><code>separator</code> - the separator</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the concatenated tokens</dd>
</dl>
</li>
</ul>
<a id="svmLightToDoubleArray(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>svmLightToDoubleArray</h4>
<pre class="methodSignature">public static&nbsp;double[]&nbsp;svmLightToDoubleArray&#8203;(java.lang.String&nbsp;svmLightVectorWithoutTarget)</pre>
<div class="block">Turns a vector given as String in svmlight format into an array of doubles.
 Expects the input String to already have the target value to be truncated.
 It will further build the smallest array possible (including 0 values) meaning
 that the maximum index in the input will ne used to determine the array's length.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>svmLightVectorWithoutTarget</code> - the svmlight-vector without the target information</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array representing the input vector</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
